#! /usr/bin/env python2
# $1 - query.list
# $2 - maximum citations
# result: number of articles with more than $2 citations in query.list

import sys
import csv

with open(sys.argv[1], 'rb') as csvfile:
    max_citations = int(sys.argv[2])
    rdr = csv.reader(csvfile, delimiter='|')
    num_articles = 0
    for row in rdr:
        if int(row[3]) > max_citations:
            num_articles += 1

    print num_articles
