#! /bin/sh

set -x

if [ ! -f exp.output ]; then
    time -o time.output python3 -O split_index_exp.py ../data > exp.output
fi

if [ ! -f exp.csv ]; then
    ./make-csv.sh exp.output exp.csv
fi

if [ ! -f unmerged_hindices.csv ]; then
    python3 compute_unmerged_hindices.py ../data unmerged_hindices.csv
fi

Rscript plots_vs_comp.R
Rscript plots_vs_k.R
Rscript plots_distri.R
Rscript plots_changes.R
